﻿Type=Class
Version=5.45
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private ProgressBar1 As ProgressBar
	Private btnClose As Button
	Private mCloseAtCompletion As Boolean = False
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(CloseAtCompletion As Boolean, Owner As Form)
	frm.Initialize("frm", 200, 100)
	frm.SetFormStyle("UNDECORATED")
	frm.Resizable = False
	frm.RootPane.LoadLayout("ProgressDialog")
	ProgressBar1.Progress = 0
	mCloseAtCompletion = CloseAtCompletion
	btnClose.Visible = Not(mCloseAtCompletion)
	frm.SetOwner(Owner)
End Sub

'Update the progress bar with a value between 0 and 100
public Sub ProgressUpdate(value As Double)
	frm.show
	ProgressBar1.Progress = Floor(value) / 100
	Log(ProgressBar1.Progress)
	If mCloseAtCompletion And ProgressBar1.Progress = 1 Then frm.close
End Sub

'Close the dialog
Sub btnClose_Action
	frm.close	
End Sub